<?php
							////////////////////////////////////////////////// 
							/// 	   NULLEDBYOMIDINSCRIPTYABDOTCOM		// 
							////////////////////////////////////////////////// 
							///  Name : ProMusic Wordpress Theme			// 
							///  Price : Free								// 
							///  Website : ScriptYab.com  &  MaFiaPHP.com	// 
							///  Telegram : @NulledScript					// 
							////////////////////////////////////////////////// 
							///  md5 : bac11e7c6cbb7e45a5eedda56ef11eac		// 
							////////////////////////////////////////////////// 

add_action( 'init', 'custom_theme_options' );

/**
 * Build the custom settings & update OptionTree.
 */
function custom_theme_options() {
  
  


  /* OptionTree is not loaded yet, or this is not an admin request */
  if ( ! function_exists( 'ot_settings_id' ) || ! is_admin() )
    return false;
    
  /**
   * Get a copy of the saved settings array. 
   */
  $saved_settings = get_option( ot_settings_id(), array() );
  
  /**
   * Custom settings array that will eventually be 
   * passes to the OptionTree Settings API Class.
   */
  $custom_settings = array( 
    'contextual_help' => array( 
      'sidebar'       => ''
    ),
    'sections'        => array( 
      array(
        'id'          => 'mweb_logo',
        'title'       => __( 'تنظیمات کلی', 'mahdisweb' )
      ),
      array(
        'id'          => 'mweb_featured_posts',
        'title'       => __( 'دسته بندی مطالب', 'mahdisweb' )
      ),
	   array(
        'id'          => 'mweb_play_online',
        'title'       => __( 'پخش آنلاین', 'mahdisweb' )
      ),
      array(
        'id'          => 'mweb_social',
        'title'       => __( 'شبکه های اجتماعی', 'mahdisweb' )
      ),
      array(
        'id'          => 'mweb_colors',
        'title'       => __( 'رنگ بندی', 'mahdisweb' )
      ),
      array(
        'id'          => 'mweb_custom_css',
        'title'       => __( 'استایل سفارشی', 'mahdisweb' )
      ),
	   array(
        'id'          => 'mweb_support',
        'title'       => __( 'پشتیبانی', 'mahdisweb' )
      ),
      
      
    ),
    'settings'        => array( 
      array(
        'id'          => 'mweb_logo',
        'label'       => __( 'لوگو', 'mahdisweb' ),
        'desc'        => __( 'ارتفاع لوگو کمتر از 115 باشد', 'mahdisweb' ),
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'mweb_logo',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
      array(
        'id'          => 'mweb_favicon',
        'label'       => __( 'Favicon', 'mahdisweb' ),
        'desc'        => __( 'فاو آیکن', 'mahdisweb' ),
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'mweb_logo',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	 array(
			'id'          => 'mweb_head_mode',
			'label'       => __( 'نحوه نمایش سربرگ', 'mahdisweb' ),
			'desc'        => '',
			'std'         => 'small',
			'type'        => 'radio',
			'section'     => 'mweb_logo',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'min_max_step'=> '',
			'class'       => '',
			'condition'   => '',
			'operator'    => 'and',
			'choices'     => array( 
			 array(
				'value'       => 'small',
				'label'       => __( 'نوع یک', 'mahdisweb' ),
				'src'         => ''
			  ),
			  array(
				'value'       => 'big',
				'label'       => __( 'نوع دو', 'mahdisweb' ),
				'src'         => ''
			  )
			)
		  ),
	  array(
        'id'          => 'mweb_headbg',
        'label'       => __( 'پس زمینه سربرگ', 'mahdisweb' ),
        'desc'        => __( '', 'mahdisweb' ),
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'mweb_logo',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	  array(
        'id'          => 'mweb_mytlg',
        'label'       => __( 'لینک کانال تلگرام', 'mahdisweb' ),
        'desc'        => __( '', 'mahdisweb' ),
        'std'         => '',
        'type'        => 'text',
        'section'     => 'mweb_logo',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	  array(
        'id'          => 'mweb_mainslider',
        'label'       => __( 'اسلایدر صفحه اصلی', 'mahdisweb' ),
        'desc'        => __( '', 'mahdisweb' ),
        'std'         => 'on',
        'type'        => 'on-off',
        'section'     => 'mweb_logo',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	 
	  array(
        'id'          => 'mweb_codeplay',
        'label'       => __( 'کد پخش انلاین برای وبلاگ', 'mahdisweb' ),
        'desc'        => __( '', 'mahdisweb' ),
        'std'         => 'on',
        'type'        => 'on-off',
        'section'     => 'mweb_logo',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	  array(
        'id'          => 'mweb_copyright',
        'label'       => __( 'متن کپی رایت', 'mahdisweb' ),
        'desc'        => __( '', 'mahdisweb' ),
        'std'         => 'کلیه حقوق مادی و معنوی برای این سایت محفوظ می باشد',
        'type'        => 'text',
        'section'     => 'mweb_logo',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),

	  
	  
	   /* play */
	  
	  array(
        'id'          => 'mweb_homeplay',
        'label'       => __( 'پخش آنلاین صفحه اصلی', 'mahdisweb' ),
        'desc'        => __( '', 'mahdisweb' ),
        'std'         => 'on',
        'type'        => 'on-off',
        'section'     => 'mweb_play_online',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
      
      array(
        'id'          => 'mweb_online_pic',
        'label'       => __( 'عکس', 'mahdisweb' ),
        'desc'        => '',
        'std'         => '',
        'type'        => 'upload',
        'section'     => 'mweb_play_online',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	   array(
        'id'          => 'mweb_online_artist',
        'label'       => __( 'نام خواننده', 'mahdisweb' ),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'mweb_play_online',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	   array(
        'id'          => 'mweb_online_name',
        'label'       => __( 'نام آهنگ', 'mahdisweb' ),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'mweb_play_online',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	   array(
        'id'          => 'mweb_online_link',
        'label'       => __( 'لینک آهنگ', 'mahdisweb' ),
        'desc'        => '',
        'std'         => '',
        'type'        => 'text',
        'section'     => 'mweb_play_online',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),

	  
	  
      /* Featured Posts */
      
     
	   array(
        'id'          => 'mweb_id_fmusic',
        'label'       => __( 'انتخاب دسته موزیک های ویژه', 'mahdisweb' ),
        'desc'        => '',
        'std'         => '',
        'type'        => 'category-select',
        'section'     => 'mweb_featured_posts',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	  array(
        'id'          => 'mweb_id_note',
        'label'       => __( 'انتخاب دسته اطلاعیه ها', 'mahdisweb' ),
        'desc'        => '',
        'std'         => '',
        'type'        => 'category-select',
        'section'     => 'mweb_featured_posts',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	
     
      
      
      
      /* Socials */
      
      array(
        'id'          => 'mweb_social_icons_header',
        'label'       => __( 'شبکه های اجتماع یفوتر و هدر', 'mahdisweb' ),
        'desc'        => __( 'گزینه های مورد نظر را انتخاب کنید', 'mahdisweb' ),
        'std'         => '',
        'type'        => 'textblock',
        'section'     => 'mweb_social',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
      
      
      array(
        'id'          => 'mweb_social_icons',
        'label'       => __('لیست شبکه های اجتماعی پایین سایت','mahdisweb'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'list-item',
        'section'     => 'mweb_social',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and',
        'settings'    => array( 
          array(
            'id'          => 'si_icon',
            'label'       => __('انتخاب','mahdisweb'),
            'desc'        => '',
            'std'         => '',
            'type'        => 'select',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'min_max_step'=> '',
            'class'       => '',
            'condition'   => '',
            'operator'    => 'and',
            'choices'     => array( 
              array(
                'value'       => 'facebook',
                'label'       => __('facebook','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'twitter',
                'label'       => __('twitter','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'instagram',
                'label'       => __('instagram','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'flickr',
                'label'       => __('flickr','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'youtube',
                'label'       => __('youtube','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'google-plus',
                'label'       => __('google plus','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'telegram',
                'label'       => __('telegram','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'twitch',
                'label'       => __('aparat','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'dribble',
                'label'       => __('Dribble','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'dropbox',
                'label'       => __('Dropbox','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'flickr',
                'label'       => __('Flickr','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'github',
                'label'       => __('github','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'linkedin',
                'label'       => __('linkedin','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'pinterest',
                'label'       => __('pinterest','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'qq',
                'label'       => __('qq','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'soundcloud',
                'label'       => __('soundcloud','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'spotify',
                'label'       => __('spotify','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'stack-overflow',
                'label'       => __('stackoverflow','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'vine',
                'label'       => __('vine','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'vimeo-square',
                'label'       => __('Vimeo','ir_tgz'),
                'src'         => ''
              )
            )
          ),
          array(
            'id'          => 'si_url',
            'label'       => __('آدرس','mahdisweb'),
            'desc'        => '',
            'std'         => '#',
            'type'        => 'text',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'min_max_step'=> '',
            'class'       => '',
            'condition'   => '',
            'operator'    => 'and'
          )
        )
      ),
      
      array(
        'id'          => 'social_sharing_heading',
        'label'       => __('شبکه های اجتماعی مطالب','mahdisweb'),
        'desc'        => __('انتخاب شبکه های مورد دلخواه','mahdisweb'),
        'std'         => '',
        'type'        => 'textblock',
        'section'     => 'mweb_social',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
      array(
        'id'          => 'sharing_social_medias',
        'label'       => __('لیست شبکه های اجتماعی مطالب','mahdisweb'),
        'desc'        => '',
        'std'         => '',
        'type'        => 'list-item',
        'section'     => 'mweb_social',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and',
        'settings'    => array( 
          array(
            'id'          => 'sharing_websites',
            'label'       => __('انتخاب','mahdisweb'),
            'desc'        => '',
            'std'         => '',
            'type'        => 'select',
            'rows'        => '',
            'post_type'   => '',
            'taxonomy'    => '',
            'min_max_step'=> '',
            'class'       => '',
            'condition'   => '',
            'operator'    => 'and',
            'choices'     => array( 
              array(
                'value'       => 'facebook',
                'label'       => __('facebook','mahdisweb'),
                'src'         => ''
              ),
              array(
                'value'       => 'twitter',
                'label'       => __('twitter','mahdisweb'),
                'src'         => ''
              ),
              array(
                'value'       => 'google-plus',
                'label'       => __('google plus','mahdisweb'),
                'src'         => ''
              ),
              array(
                'value'       => 'digg',
                'label'       => __('Digg','mahdisweb'),
                'src'         => ''
              ),
              array(
                'value'       => 'linkedin',
                'label'       => __('linkedin','mahdisweb'),
                'src'         => ''
              ),
              array(
                'value'       => 'pinterest',
                'label'       => __('pinterest','mahdisweb'),
                'src'         => ''
              ),
              array(
                'value'       => 'telegram',
                'label'       => __('telegram','ir_tgz'),
                'src'         => ''
              ),
              array(
                'value'       => 'tumblr',
                'label'       => __('Tumblr','mahdisweb'),
                'src'         => ''
              ),
              array(
                'value'       => 'reddit',
                'label'       => __('Reddit','mahdisweb'),
                'src'         => ''
              ),
              array(
                'value'       => 'stumbleUpon',
                'label'       => __('StumbleUpon','mahdisweb'),
                'src'         => ''
              ),
              array(
                'value'       => 'delicious',
                'label'       => __('delicious','mahdisweb'),
                'src'         => ''
              )
            )
          )
        )
      ),
      
	  /* colors */
	  
	   array(
        'id'          => 'mweb_colors_header',
        'label'       => __( 'انتخاب رنگ بندی اجزای سایت', 'mahdisweb' ),
        'desc'        => __( '', 'mahdisweb' ),
        'std'         => '',
        'type'        => 'textblock',
        'section'     => 'mweb_colors',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	  	  	array(
        'id'          => 'color1',
        'label'       => __( 'رنگ یک', 'iranpress' ),
        'desc'        => __( 'انتخاب رنگ', 'iranpress' ),
        'std'         => '#30263C',
        'type'        => 'colorpicker',
        'section'     => 'mweb_colors',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	  
	  array(
        'id'          => 'color2',
        'label'       => __( 'رنگ دو', 'iranpress' ),
        'desc'        => __( 'انتخاب رنگ', 'iranpress' ),
        'std'         => '#ff5f32',
        'type'        => 'colorpicker',
        'section'     => 'mweb_colors',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	  array(
        'id'          => 'color3',
        'label'       => __( 'رنگ سه', 'iranpress' ),
        'desc'        => __( 'انتخاب رنگ', 'iranpress' ),
        'std'         => '#21C7E3',
        'type'        => 'colorpicker',
        'section'     => 'mweb_colors',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	  array(
        'id'          => 'color4',
        'label'       => __( 'رنگ چهار', 'iranpress' ),
        'desc'        => __( 'انتخاب رنگ', 'iranpress' ),
        'std'         => '#ffc600',
        'type'        => 'colorpicker',
        'section'     => 'mweb_colors',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
	 
	  
	  /* custom_css */
	  
	  array(
        'id'          => 'mweb_custom_css',
        'label'       => __( 'استایل سفارشی', 'mahdisweb' ),
        'desc'        => __( '', 'mahdisweb' ),
        'std'         => '',
        'type'        => 'css',
        'section'     => 'mweb_custom_css',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'min_max_step'=> '',
        'class'       => '',
        'condition'   => '',
        'operator'    => 'and'
      ),
      
   
      /* help_stuff */
      
    array(
        'id'          => 'help_stuff',
        'label'       => 'پشتیبانی',
        'desc'        => ' &Larr; &lt;a target=&quot;_blank&quot; href=&quot;http://www.mahdisweb.net/&quot;&gt;محصولات&lt;/a&gt;<br /><br /> &Larr; &lt;a target=&quot;_blank&quot; href=&quot;http://www.mahdisweb.net/contactus/&quot;&gt;ارتباط با ما&lt;/a&gt;<br /><br /> &Larr; &lt;a target=&quot;_blank&quot; href=&quot;http://Scriptyab.com&quot;&gt;اسکریپت یاب دات کام ;)&lt;/a&gt;<br />',
        'std'         => '',
        'type'        => 'textblock',
        'section'     => 'mweb_support',
        'rows'        => '',
        'post_type'   => '',
        'taxonomy'    => '',
        'class'       => ''
      )
         
    )
  );
  
  /* allow settings to be filtered before saving */
  $custom_settings = apply_filters( ot_settings_id() . '_args', $custom_settings );
  
  /* settings are not the same update the DB */
  if ( $saved_settings !== $custom_settings ) {
    update_option( ot_settings_id(), $custom_settings ); 
  }
  
  /* Lets OptionTree know the UI Builder is being overridden U0NSSVBUWUFCLkNPTQ*/
  global $ot_has_custom_theme_options;
  $ot_has_custom_theme_options = true;
  
}