<?php
/**
 *  category posts widget
 * 
 **/

add_action( 'widgets_init', 'mweb_postcat_widget' );
function mweb_postcat_widget() {
	register_widget( 'mwebw_post' );
}

class mwebw_post extends WP_Widget {

	function mwebw_post() {
		parent::__construct( 'posts-main-widget',THEME_NAME .' - مطالب همراه با عکس' );
	}
	
	function widget( $args, $instance ) {
		extract( $args );


		$title     = $title = apply_filters( 'widget_title', $instance['title'], $instance, $this->id_base );
		$category  = $instance['category'];
		$number    = $instance['number'];
		echo $before_widget;
		echo $before_title;
		echo $title ; 
		echo $after_title; ?>
          <?php
			$my_query = new WP_Query('showposts='.$number.'&cat='.$category);
			while ($my_query->have_posts()):  $my_query->the_post(); ?>
                <div class="widget-post1">
                      <?php if ( function_exists("has_post_thumbnail") && has_post_thumbnail() ) : ?>  
                          <a href="<?php the_permalink(); ?>">
                              <?php the_post_thumbnail( 'boxone', array('class'=>"img-responsive")); ?>
                          </a>
                      <?php endif; ?>
                  <div class="widget-post1-inner">
                    <div class="widget-post1-info"><a href="<?php the_permalink(); ?>"><?php the_title();?></a></div>
                    <div class="widget-post1-reviews"><i class="icon fa fa-comment"></i> :: <?php comments_popup_link( '0' , '1' , '%' ); ?></div>
                    <div class="widget-post1-reviews"><i class="icon fa fa-thumbs-o-up"></i> :: <?php if(function_exists('getILikeThis')) getILikeThis('get'); ?></div>
                  </div>
                
          
               </div>
          <?php endwhile; ?>
          <?php wp_reset_query(); ?>
          	<?php 
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance              = $old_instance;
		$instance['title']     = wp_strip_all_tags( $new_instance['title'] );
		$instance['category']  = wp_strip_all_tags( $new_instance['category'] );
		$instance['number']    = is_numeric( $new_instance['number'] ) ? intval( $new_instance['number'] ) : 5;

		return $instance;
	}

	function form( $instance ) {
		$defaults  = array( 'title' => '', 'category' => '', 'number' => 5, 'show_date' => '' );
		$instance  = wp_parse_args( ( array ) $instance, $defaults );
		$title     = $instance['title'];
		$category  = $instance['category'];
		$number    = $instance['number'];
		
		?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'عنوان' ); ?>:</label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr( $title ); ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'category' ); ?>"><?php _e( 'انتخاب دسته' ); ?>:</label>				
			
			<?php

			wp_dropdown_categories( array(

				'orderby'    => 'title',
				'hide_empty' => false,
				'name'       => $this->get_field_name( 'category' ),
				'id'         => $this->get_field_id( 'category' ),
				'class'      => 'widefat',
				'selected'   => $category

			) );

			?>

		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e( 'تعداد مطالب' ); ?>: </label>
			<input type="text" id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" value="<?php echo esc_attr( $number ); ?>" size="3" />
		</p>

		
		
		<?php
	
	}
}
?>