<?php get_header(); ?>



<?php $args = array( 'posts_per_page' => '3','post_type' => 'tf_sliders'); 

$the_posts = get_posts($args);
$count = count($the_posts);
if($count >= 1 && ot_get_option('mweb_mainslider','on') == 'on'){
	
?>
<div class="blue">
<div class="slider slider-for">
  <?php 
		$my_query = new WP_Query($args);
		if ($my_query->have_posts()) : ?><?php while ($my_query->have_posts()) : $my_query->the_post();
		 ?>
		<div class="banner-image-container">
			<?php the_post_thumbnail('slider'); ?>
			<div class="slider-over-opacity"></div>						
			<div class="banner-stye2-content">
				<div class="clearfix">
					<div class="banner-content-details pull-left">
						<div class="banner-category"><span class="cat"><?php echo get_post_meta(get_the_ID(), 'slider_cat', true); ?></span></div>
						<h2><a href="<?php echo get_post_meta(get_the_ID(), 'slider_link', true); ?>" class="banner-big-title"><?php the_title(); ?></a></h2>
						<a href="<?php echo get_post_meta(get_the_ID(), 'slider_link', true); ?>" class="posted-by"><?php echo get_post_meta(get_the_ID(), 'slider_desc', true); ?></a>
					</div>
				</div>

			</div>
		</div>
					  
		  <?php
		       endwhile;
			   wp_reset_query(); 
			   endif; ?>
			
					
					
</div>
<div class="slider slider-nav">
    <?php $cnt_post=1;
		$my_query = new WP_Query($args);
		if ($my_query->have_posts()) : ?><?php while ($my_query->have_posts()) : $my_query->the_post();
		 ?>
					<div class="cmn-t-underline"><p>0<?php echo $cnt_post++; ?><span><?php echo get_post_meta(get_the_ID(), 'slider_artist', true); ?></span></p></div>
    <?php
	   
	   endwhile;
	   wp_reset_query(); 
	   endif; ?>
					
					
					
</div>
				  
</div><!-- blue -->
<?php } ?>



<?php
$mweb_head_mode = ot_get_option('mweb_head_mode');
if( ot_get_option('mweb_rand_post','on') == 'on' && $mweb_head_mode=='small') { ?>

<div class="topplayer player_small">

<div class="cover">
<?php $pc_artist = esc_url( ot_get_option('mweb_online_pic') );
$name_artist = ot_get_option('mweb_online_artist');
$song_artist = ot_get_option('mweb_online_name');
$dl_artist = esc_url( ot_get_option('mweb_online_link'));
 ?>
<?php if ( $pc_artist != ''): ?>
<img src="<?php echo $pc_artist; ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
<?php endif; ?>	
</div>
<h3><?php if ( $name_artist != ''): ?><?php echo $name_artist ?><?php endif; ?> :: <span><?php if ( $song_artist != ''): ?><?php echo $song_artist ?><?php endif; ?>  </span> ::
</h3>
<?php if ( $dl_artist != ''): ?>
<div class="player">
<button class="play" id="playr" aria-live="assertive" tabindex="32" aria-label="Pause">
   <svg width="100%" height="100%" viewBox="0 0 36 36" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
      <defs>
         <path id="ytp-12" d="M11,10 L18,13.74 18,22.28 11,26 M18,13.74 L26,18 26,18 18,22.28">
            <animate id="animation" begin="indefinite" attributeType="XML" attributeName="d" fill="freeze" from="M11,10 L18,13.74 18,22.28 11,26 M18,13.74 L26,18 26,18 18,22.28" to="M11,10 L17,10 17,26 11,26 M20,10 L26,10 26,26 20,26" dur="0.1s" keySplines=".4 0 1 1"
            repeatCount="1"></animate>
         </path>
      </defs>
      <use xlink:href="#ytp-12" class="ytp-svg-shadow"></use>
      <use xlink:href="#ytp-12" class="ytp-svg-fill"></use>
   </svg>
</button>
<div class="seekbar"><div class="mover"></div></div> 
<div class="timer">00:00</div><div class="time">00:00</div>
</div>
<?php endif; ?>
</div> <!-- ./ player_small -->

<div style="display:none">
<div id="jp_player">Loading the player ...</div>
</div><!-- End / topplayer -->
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($) {
 move = 0;
$("#jp_player").jPlayer({
ready: function () {
$(this).jPlayer("setMedia", {
mp3:"<?php echo $dl_artist ?>"
});

},
timeupdate: function(event) {
    $(".seekbar .mover").css("width",event.jPlayer.status.currentPercentAbsolute+"%");
     
$(".timer").text($.jPlayer.convertTime(event.jPlayer.status.currentTime));
},
play: function(event) {
 $(".time").text($.jPlayer.convertTime(event.jPlayer.status.duration));
    $(".play").addClass("pause");
},
pause: function(event) {
    $(".play").removeClass("pause");
},
swfPath: "<?php echo get_template_directory_uri(); ?>/js/jplayer",
supplied: "mp3",
cssSelectorAncestor:"#player",
wmode: "window"
});
$(".topplayer .play").click(function(){
$("#jp_player").jPlayer("play");
});
$(".topplayer .play.pause").live("click",function(){
$("#jp_player").jPlayer("pause");
});
$(".seekbar").click(function(e){
x = e.pageX-$(this).offset().left;
go = (x*100)/($(this).css("width")).replace("px","");
where = (parseInt(go)/100)*parseInt($("#jp_player").data('jPlayer').status.duration);
move = 1;
$("#jp_player").jPlayer("play",where);
});

var flip = true,
   pause = "M11,10 L18,13.74 18,22.28 11,26 M18,13.74 L26,18 26,18 18,22.28",
   play = "M11,10 L17,10 17,26 11,26 M20,10 L26,10 26,26 20,26",
   $animation = $('#animation');

$(".play").on('click', function() {
   flip = !flip;
   $animation.attr({
      "from": flip ? play : pause,
      "to": flip ? pause : play
   }).get(0).beginElement();
});	
});
</script>
<?php } ?>

<?php get_template_part( 'topsec' ); ?>

<?php get_template_part( 'right-sidebar' ); ?>

<div class="col-md-6">
          <main class="main-content">
<?php if (have_posts()) : ?><?php while (have_posts()) : the_post(); ?>
              <article id="post-<?php the_ID(); ?>" <?php post_class('post post_mod-b post_mod-d clearfix'); ?>>
               
                  <div class="entry-main entry-main_mod-a">
                      <div class="entry-main-inner">
                          <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                          <div class="entry-meta">
                              <span class="entry-meta_item">نوشته :: <?php the_author_posts_link(); ?></span>
                               <span class="entry-meta_item">تاریخ :: <?php the_time( 'j F Y'); ?></span>
                              <span class="entry-meta_item">تعداد نظرات :: <?php comments_popup_link( '0' , '1' , '%' ); ?></span>
							  <span class="entry-meta_item">بازدید :: <?php if(function_exists('the_views')) { the_views(); } ?></span>
                          </div>
                      </div>
                      <div class="decor-1"></div>
                      <?php $post_format = get_post_meta(get_the_ID(), 'post_format', true); ?>
                      <div class="entry-date post-<?php echo $post_format; ?>"><span class="entry-date-inner"><?php echo $post_format; ?></span></div>
                      <div class="entry-content">
                         <?php the_content("");?>
                      </div>
                      <footer class="entry-footer">
                          <div class="wrap-post-btn"><a class="post-btn btn-effect" href="<?php the_permalink(); ?>"><span class="post-btn-inner">دانلود</span></a></div>
                          
                          <div class="post-btn like-btn">
                           <div class="post-btn-inner">
                           <?php if(function_exists('getILikeThis')) getILikeThis(''); ?><i class="fa fa-heart-o" aria-hidden="true"></i>
                           </div>
                          </div>
                          
                          <?php mweb_social_sharing( wp_get_shortlink(),get_the_title(), has_post_thumbnail() ? wp_get_attachment_image_src( get_post_thumbnail_id($post->ID)) : '' ); ?>
                                
                      </footer>
                  </div>
              </article>
<?php endwhile;
 else: ?>

<div class="error-entry-main">
<p>مطلبی یافت نشد<br/>به پنل مدیریت رفته و اولین مطلب خود رو بنویسید</p>
</div>
<?php endif; ?>
<?php if ($wp_query->max_num_pages > 1): ?>
    <?php mweb_get_pagenavi(); ?>
<?php endif; ?>

  </main><!-- end main-content -->
</div>
      
<?php get_template_part( 'left-sidebar' ); ?>
<?php get_footer(); ?>