(function ($) {
"use strict";

$(document).ready(function() {
		
$('a.topsearch').on('click', function(e){
	  e.preventDefault();
	  var $this = $(this),
		  flag = $this.hasClass('la-open') ? 1 : 0,
		  $input = $( ".topsearch-form .wrapper" ),
		  $area = $('.topsearch-form');
	  
	  if ( flag ){
		  $input.removeClass('la-in');
		  $area.velocity("slideUp",{delay: 300, complete:function(){
			  $this.removeClass('la-open');
		  }});
	  }else{
		  $this.addClass('la-open');
		  $area.velocity("slideDown",{
			  complete:function(){
				  $input.addClass('la-in');		
			  }
		  });
	  }
	  $( ".topsearch-form input" ).focus();
	  return false;
  });
			
$('a.topnote').on('click', function(e){
	  e.preventDefault();
	  var $this = $(this),
		  flag = $this.hasClass('la-open') ? 1 : 0,
		  $input = $( ".notebox .notelist" ),
		  $area = $('.notebox');
	  
	  if ( flag ){
		  $input.removeClass('la-in');
		  $area.velocity("slideUp",{delay: 300, complete:function(){
		  $this.removeClass('la-open');
		  $this.find('span').show('slow');
		  }});
	  }else{
		  $this.addClass('la-open');
		  $this.find('span').hide('slow');
		  $area.velocity("slideDown",{
			  complete:function(){
				  $input.addClass('la-in');	
	
			  }
		  });
	  }
 
  });			
			

/* -----------------  count note   -------------------*/

var counta =$('.notelist').children('a').size();
jQuery('.topnote span').append(counta);


/* -----------------  menu  -------------------*/


var el = null;
var w_width = jQuery(window).width();
jQuery('li.menu-item').hover(function(){
	el = jQuery('.sub-menu:first',this);
	if(el.length > 0){
		var el_left = el.offset().left;
		var el_width = el.outerWidth();
		if(w_width < (el_left+el_width)){
			el.addClass('autodrop');
		}
	}
},function(){
	if(el){
		el.removeClass('autodrop');
		el = null;
	}
});
/* End Menu */
/** Active Arrow Menu Mobile ***/
$('.btn-navbar').click(function () {
	$("#cshero-header").toggleClass("mobile-arrow-effect");
});
/* Accordion */
$('.wpb_accordion_wrapper .wpb_accordion_section').first().addClass('parent-active');
$('.wpb_accordion_header').click(function () {
	$('.wpb_accordion_wrapper .wpb_accordion_section').first().removeClass('parent-active');
	$('.wpb_accordion_header').parent().removeClass('parent-active');
	$(this).parent().addClass('parent-active');
});

var $mainmenu = $('.main-menu-content .cshero-dropdown');
var $mobilemenu = $mainmenu.clone().removeClass('main-menu menu-item-padding right left').addClass('cshero-mobile-menu');
$mobilemenu.find('li').each(function () {
	var $this = $(this);
	if ($this.find('ul').length > 0) {
		var $menutoggle = $('<span class="cs-menu-toggle"></span>');
		$menutoggle.bind('click', function () {
			$this.toggleClass('open');
		});
		$this.append($menutoggle);
	}
});
$mobilemenu.appendTo('#cshero-main-menu-mobile');
var $mobilesticky = $mobilemenu.clone(true);
$mobilesticky.find('li').each(function () {
	var $this = $(this);
	if ($this.find('ul').length > 0) {
		var $menutoggle = $('<span class="cs-menu-toggle"></span>');
		$menutoggle.bind('click', function () {
			$this.toggleClass('open');
		});
		$this.append($menutoggle);
	}
});
$mobilesticky.appendTo('#cshero-sticky-menu-mobile');


 /** Grow Menu */
$(".cshero-dropdown > li").hover(
	function () {
		var grow_menu = jQuery(this);
		var li = grow_menu.find('li').length;
		var i = 0;
		window.setInterval(function() {
			if(i <= li){
				var _li = grow_menu.find('li:eq('+i+')');
					_li.addClass('grow');
				i++;
			} else {
				clearInterval(this);
			}
		}, 50);
	},
	function () {
		var grow_menu = jQuery(this);
		var li = grow_menu.find('li').length;
		var i = 0;
		window.setInterval(function() {
			if(i <= li){
				var _li = grow_menu.find('li:eq('+i+')');
					_li.removeClass('grow');
				i++;
			} else {
				clearInterval(this);
			}
		}, 0);
	}
);


		
/* -----------------  Go To Top  -------------------*/

jQuery('.footer_ico').on('click', function(e){
	e.preventDefault();
	jQuery('html, body').animate({scrollTop : 0},1000);
	return false;
});		
	
/* -----------------  slider  -------------------*/

	$('#banner-slider').slick({
		slidesToShow: 1,
		slidesToScroll: 1,
		arrows: true,
		fade: true,
		autoplay:true,
		dots: false,
		 rtl: true,
		centerMode: true,
	});

		
   $('.slider-for').slick({
        slidesToShow: 1,
        slidesToScroll: 1,
        arrows: false,
        fade: true,
		autoplay:true,
		rtl: true,
        asNavFor: '.slider-nav',
		
    });
	
    $('.slider-nav').slick({
		focusOnSelect: true,
        slidesToShow: 5,
        slidesToScroll: 1,
        asNavFor: '.slider-for',
        dots: false,
		arrows: false,
		autoplay:true,
		rtl: true,
        centerMode: false,
		slidesPerRow: 1,
		
    });
	 $('.slider-nav .slick-slide').removeClass('slick-current');

	 $('.slider-nav .slick-slide').eq(0).addClass('slick-current');

	 $('.slider-for').on('beforeChange', function (event, slick, currentSlide, nextSlide) {
		var mySlideNumber = nextSlide;
		$('.slider-nav .slick-slide').removeClass('slick-current');
		$('.slider-nav .slick-slide').eq(mySlideNumber).addClass('slick-current');
	});
	
	$("#feature_slider").owlCarousel({
      autoPlay: true,
      items : 3,
      autoPlay : 5000,
	  rtl: true,
      pagination: false,
	  responsive:true,
      responsive:{
			0:{
			    items:1
			},
			480:{
				items:2
			},
			600:{
				items:2
			},
			768:{
			    items:3,
			},
			1000:{
			    items:5,
			}
		}
  	});
	  
	  var owlurun = $("#feature_slider");
	  owlurun.owlCarousel();
	  $(".next-posts-feature").click(function(){
	    owlurun.trigger('next.owl.carousel');
	  });
	  $(".prev-posts-feature").click(function(){
	    owlurun.trigger('prev.owl.carousel');
  	});

	
	
	
$('video').mediaelementplayer ({

    alwaysShowControls: true,
    videoVolume: 'verticle',
    features: ['playpause', 'stop', 'loop','current','progress','duration','tracks','volume', 'sourcechooser', 'playlist', 'fullscreen', 'postroll'],

});

	
$('audio').mediaelementplayer ({

    videoVolume: 'horizontal',
    features: ['playpause', 'stop', 'loop','current','progress','duration', 'volume'],

}); 
	  
	  
});
	
})(jQuery);



(function($) {
	// loop toggle
	$.extend(MediaElementPlayer.prototype, {
		buildloop: function(player, controls, layers, media) {
			var 
				t = this,
				// create the loop button
				loop = 
				$('<div class="mejs-button mejs-loop-button ' + ((player.options.loop) ? 'mejs-loop-on' : 'mejs-loop-off') + '">' +
					'<button type="button" aria-controls="' + t.id + '" title="Toggle Loop" aria-label="Toggle Loop"></button>' +
				'</div>')
				// append it to the toolbar
				.appendTo(controls)
				// add a click toggle event
				.click(function() {
					player.options.loop = !player.options.loop;
					if (player.options.loop) {
						loop.removeClass('mejs-loop-off').addClass('mejs-loop-on');
					} else {
						loop.removeClass('mejs-loop-on').addClass('mejs-loop-off');
					}
				});
		}
	});
	
})(mejs.$);



