<?php

if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('لطفا این صفحه را به طور مستقیم بار نکنید. با تشکر!');

if ( post_password_required() ) {
	_e('این مطلب خصوصی است.در صورتی که رمز آن را دارید در قسمت زیر وارد کنید.', 'mahdisweb');
	return;
}

?>
<?php if ( have_comments() ) : ?>
<section class="section-comment">
  <h3 class="ui-title-inner">دیدگاه :: <?php echo get_comments_number() ?></h3>
  <div class="decor-1"></div>
    <ul class="comments-list clearfix">
     <?php wp_list_comments(array(
          'avatar_size'	=> 55,	
          'style'			=> 'ul',
          'callback'		=> 'mweb_comments',
      )); ?>
    
    </ul><!-- end comments-list -->
</section>
<?php endif; //if have_comments ?>


<?php
// If comments are closed and there are comments, let's leave a little note.
if ( !comments_open() && get_comments_number() ) :?>
<section class="section-comment">
  <h3 class="ui-title-inner">دیدگاه ها بسته شده</h3>
</section>
	
<?php endif; ?>

<?php 

$commenter = wp_get_current_commenter();
$req = get_option( 'require_name_email' );

$form_args = array(
	'id_form'		=> 'comment-reply-form',
	'class_form'	=> 'comment-reply-form',
	'title_reply_before' => '<div class="ui-title-inner">',
	'title_reply_after' => '</div>',
	'class_submit'      => 'submit',
	'comment_notes_after' => '',
	'label_submit'		=> __('ارسال','mahdisweb'),
	'title_reply'		=> __('ارسال دیدگاه <div class="decor-1"></div>','mahdisweb'),
	'title_reply_to'	=>  __('ترک ارسال پاسخ به %s','mahdisweb'),
	'comment_field' => '<div class="col-xs-12"><div class="form-group">
							<textarea id="comment" name="comment" class="form-control" cols="45" placeholder="متن شما" rows="7" aria-describedby="form-allowed-tags"></textarea>	
						</div></div>',
	'fields' => apply_filters( 'comment_form_default_fields',array(
					'name' =>'
							<div class="col-xs-12 col-sm-6">
								<input class="form-control" placeholder="نام" type="text" name="author" id="author" value="'. esc_attr( $commenter['comment_author'] ) .'">
							</div>',
					'email' =>'										
							<div class="col-xs-12 col-sm-6">
								<input class="form-control" placeholder="ایمیل" type="text" name="email" id="email" value="'. esc_attr( $commenter['comment_author_email'] ) .'" >
							</div>',
					'website' =>'										
							<div class="col-xs-12">
							   <div class="form-group">
								<input class="form-control" type="text" name="url" id="url" placeholder="آدرس سایت" value="'. esc_attr( $commenter['comment_author_url'] ) .'">
							   </div>
							</div>',
				)
	
			)
);
comment_form($form_args); 					


?>
