<?php get_header(); ?>

<?php get_template_part( 'topsec' ); ?>

<?php get_template_part( 'right-sidebar' ); ?>

<?php 
$download_128 = get_post_meta($post->ID, 'mp3-128', true);
$download_320 = get_post_meta($post->ID, 'mp3-320', true);
$download_480 = get_post_meta($post->ID, 'vdo-480', true);
$download_720 = get_post_meta($post->ID, 'vdo-720', true);
$download_1080 = get_post_meta($post->ID, 'vdo-1080', true);
$download_128 = get_post_meta($post->ID, 'mp3-128', true);
$download_320 = get_post_meta($post->ID, 'mp3-320', true);

$dl_text = get_post_custom_values("name"); 
$dl_links128 = get_post_custom_values("download128"); 
$dl_links320 = get_post_custom_values("download320"); 
if (!empty($dl_links128[0]) && $dl_links128[0]!=""){
$download_128 = $dl_links128[0];
}
$dl_zip128 =get_post_meta($post->ID, 'zip128', true); 
$dl_zip320 =get_post_meta($post->ID, 'zip320', true);

$thumb_id = get_post_thumbnail_id();
$thumb_url = wp_get_attachment_image_src($thumb_id,'large', true);

 ?>


<div class="col-md-6">
          <main class="main-content">
<?php if (have_posts()) : ?><?php while (have_posts()) : the_post(); ?>
              <article class="post post_mod-b post_mod-d clearfix">

                  <div class="entry-main entry-main_mod-a">
                      <div class="entry-main-inner">
                          <h1 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
                          <div class="entry-meta">
                              <span class="entry-meta_item">نوشته :: <?php the_author_posts_link(); ?></span>
                               <span class="entry-meta_item">تاریخ :: <?php the_time( 'j F Y'); ?></span>
                              <span class="entry-meta_item">تعداد نظرات :: <?php comments_popup_link( '0' , '1' , '%' ); ?></span>
							  <span class="entry-meta_item">بازدید :: <?php if(function_exists('the_views')) { the_views(); } ?></span>
                          </div>
                      </div>
                      <div class="decor-1"></div>
                      <?php $post_format = get_post_meta(get_the_ID(), 'post_format', true); ?>
                      <div class="entry-date post-<?php echo $post_format; ?>"><span class="entry-date-inner"><?php echo $post_format; ?></span></div>
                      <div class="entry-content">
                         <?php the_content("");?>
                      </div>
                      <footer class="entry-footer">
                       <div class="article_tags">
                        <span>برچسب ها</span>
                        <div class="decor-1"></div>
                        <?php the_tags('',' , ',' '); ?>
                       </div>
                          <div class="wrap-post-btn">
                          <div class="post-btn like-btn">
                           <div class="post-btn-inner">
                           <?php if(function_exists('getILikeThis')) getILikeThis('get'); ?><i class="fa fa-heart-o"></i>
                           </div>
                          </div>
                          </div>
                          
                  <?php mweb_social_sharing( wp_get_shortlink(),get_the_title(), has_post_thumbnail() ? wp_get_attachment_image_src( get_post_thumbnail_id($post->ID)) : '' ); ?>
                              
                      </footer>
                  </div>
              </article>
<?php endwhile;
 else: ?>
<div class="error-entry-main">
<p>خطای 404! <br/> مطلبی که به دنبال آن میگردید حذف یا تغییر کرده است</p>
</div>
<?php endif; ?>

<section class="play-dl">
	<?php $myvdo = !empty($download_480) ? $download_480 : $download_720 ;
	if(!empty($myvdo)){ ?>
          
	<div class="mejs-wrapper mejs-blue" style="direction: ltr">
	<video width="560" controls style="width: 100%; height: 100%;" class="spc">
    <!-- MP4 for Safari, IE9, iPhone, iPad, Android, and Windows Phone 7 -->
	 <source src="<?php echo $download_480; ?>" type="video/mp4" title="mp4">
      
		<p>Your browser leaves much to be desired.</p>
</video>
	</div>
<?php }?>
<?php if(!empty($download_128)){ ?>
<div class="single_player" >
<button class="one_play" id="ply" aria-live="assertive" tabindex="32" aria-label="Pause">
   <svg width="100%" height="100%" viewBox="0 0 36 36" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
      <defs>
         <path id="ytp-12" d="M11,10 L18,13.74 18,22.28 11,26 M18,13.74 L26,18 26,18 18,22.28">
            <animate id="animation" begin="indefinite" attributeType="XML" attributeName="d" fill="freeze" from="M11,10 L18,13.74 18,22.28 11,26 M18,13.74 L26,18 26,18 18,22.28" to="M11,10 L17,10 17,26 11,26 M20,10 L26,10 26,26 20,26" dur="0.1s" keySplines=".4 0 1 1"
            repeatCount="1"></animate>
         </path>
      </defs>
      <use xlink:href="#ytp-12" class="ytp-svg-shadow"></use>
      <use xlink:href="#ytp-12" class="ytp-svg-fill"></use>
   </svg>
</button>
<div class="one_seekbar"><div class="one_mover"></div></div> 
<div class="one_timer">00:00</div><div class="one_time">00:00</div>
</div>
<?php }?>

<div style="display:none">
<div id="sg_player">Loading the player ...</div>
</div><!-- End -->

<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($) {
 move = 0;
$("#sg_player").jPlayer({
ready: function () {
$(this).jPlayer("setMedia", {
        mp3:"<?php echo $download_128; ?>"
});

},
timeupdate: function(event) {
    $(".one_seekbar .one_mover").css("width",event.jPlayer.status.currentPercentAbsolute+"%");
     
$(".one_timer").text($.jPlayer.convertTime(event.jPlayer.status.currentTime));
},
play: function(event) {
 $(".one_time").text($.jPlayer.convertTime(event.jPlayer.status.duration));
    $(".one_play").addClass("pause");
},
pause: function(event) {
    $(".one_play").removeClass("pause");
},
swfPath: "<?php echo get_template_directory_uri(); ?>/js/jplayer",
supplied: "mp3",
cssSelectorAncestor:"#player",
wmode: "window"
});
$(".single_player .one_play").click(function(){
$("#sg_player").jPlayer("play");
});
$(".single_player .one_play.pause").live("click",function(){
$("#sg_player").jPlayer("pause");
});
$(".one_seekbar").click(function(e){
x = e.pageX-$(this).offset().left;
go = (x*100)/($(this).css("width")).replace("px","");
where = (parseInt(go)/100)*parseInt($("#sg_player").data('jPlayer').status.duration);
move = 1;
$("#sg_player").jPlayer("play",where);
});

var flip = true,
   o_pause = "M11,10 L18,13.74 18,22.28 11,26 M18,13.74 L26,18 26,18 18,22.28",
   o_play = "M11,10 L17,10 17,26 11,26 M20,10 L26,10 26,26 20,26",
   $animation = $('#animation');

$(".one_play").on('click', function() {
   flip = !flip;
   $animation.attr({
      "from": flip ? o_play : o_pause,
      "to": flip ? o_pause : o_play
   }).get(0).beginElement();
});	
});
</script>


<?php $download_si = get_post_meta($post->ID, 'mp3-128', true);
	if(!empty($download_si) || !empty($download_320) || !empty($download_480) || !empty($download_720) || !empty($download_1080) || !empty($dl_zip128) || !empty($dl_zip320))
	echo '<ul class="dl_track">';
	
if(!empty($download_si)){ ?>
<li><i class="fa fa-download"></i>کیفیت 128<a href="<?php  echo $download_si; ?>">دانلود</a></li>
<?php } ?>
<?php if(!empty($download_320)){ ?>
<li><i class="fa fa-download"></i>کیفیت 320<a href="<?php  echo $download_320; ?>">دانلود</a></li>
<?php } ?>

<?php if(!empty($download_480)){ ?>
<li><i class="fa fa-file-video-o"></i>کیفیت 480<a href="<?php  echo $download_480; ?>">دانلود</a></li>
<?php } ?>
<?php if(!empty($download_720)){ ?>
<li><i class="fa fa-file-video-o"></i>کیفیت 720<a href="<?php  echo $download_720; ?>">دانلود</a></li>
<?php } ?>
<?php if(!empty($download_1080)){ ?>
<li><i class="fa fa-file-video-o"></i>کیفیت 1080<a href="<?php  echo $download_1080; ?>">دانلود</a></li>
<?php } ?>

<?php if(!empty($dl_zip128)){ ?>
<li><i class="fa fa-file-zip-o"></i>کل آلبوم با کیفیت 128<a href="<?php  echo $dl_zip128; ?>">دانلود</a></li>
<?php } ?>
<?php if(!empty($dl_zip320)){ ?>
<li><i class="fa fa-file-zip-o"></i>کل آلبوم با کیفیت 320<a href="<?php  echo $dl_zip320; ?>">دانلود</a></li>
<?php } ?>

<?php if(!empty($download_si) || !empty($download_320) || !empty($download_480) || !empty($download_720) || !empty($download_1080) || !empty($dl_zip128) || !empty($dl_zip320))
	echo '</ul>';?>



<?php if(!empty($dl_links128) || !empty($dl_links320)){ ?>
<ul class="album_track">
<div class="album_track_tit">لیست ترک های البوم</div>
  <?php $i=0; while(isset($dl_links128[$i])){?>
<?php if($dl_links128[$i]) { ?>
<li><span data-href="<?php echo $dl_links128[$i]; ?>"></span><i class="fa fa-file-audio-o"></i><?php echo $dl_text[$i]; ?>
<a href="<?php echo $dl_links128[$i]; ?>"><i class="fa fa-download"></i> دانلود با کیفیت 128</a>
<?php if(!empty($dl_links320[0])){ ?><a href="<?php echo $dl_links320[$i]; ?>"><i class="fa fa-download"></i> دانلود با کیفیت 320</a><?php } ?>
</li>
<?php } else break; ?>
<?php $i++; } ?>
</ul>
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($) {
$("ul.album_track li span").click(function(){
	$("#sg_player").jPlayer("setMedia", {mp3:$(this).data("href")});
	$("#sg_player").jPlayer("play");
	$("ul.list_albums li span.ply_music").removeClass('active');
	$(this).addClass('active');
});
});
</script>
<?php } ?>

<?php $repeatable_fields = get_post_meta($post->ID, 'mweb_album', true); 
	if (empty($dl_links128) && !empty($repeatable_fields)){ ?>
   <ul class="album_track">
   <div class="album_track_tit">لیست ترک های البوم</div>
    <?php foreach ($repeatable_fields as $v) { ?>
       <li><span data-href="<?php if(isset($v['track_128'])) echo $v['track_128']; ?>"></span><i class="fa fa-file-audio-o"></i><?php echo $v['title']; ?>
		<a href="<?php if(isset($v['track_128'])) echo $v['track_128']; ?>"><i class="fa fa-download"></i> دانلود با کیفیت 128</a>
		<?php if(isset($v['track_320']) || !empty($v['track_320'])){ ?><a href="<?php echo $v['track_320']; ?>"><i class="fa fa-download"></i> دانلود با کیفیت 320</a><?php } ?>
		</li>   
    <?php } ?>
    </ul>
		<script type="text/javascript">
		jQuery.noConflict();
		jQuery(document).ready(function($) {
		$("ul.album_track li span").click(function(){
			$("#sg_player").jPlayer("setMedia", {mp3:$(this).data("href")});
			$("#sg_player").jPlayer("play");
			$("ul.list_albums li span.ply_music").removeClass('active');
			$(this).addClass('active');
		});
		});
		</script>
	<?php } ?>
    
    
</section>


<?php if( ot_get_option('mweb_codeplay','on') == 'on' && !empty($download_si)): ?>

<article class="post post_mod-b post_mod-d related-entry clearfix">

    <div class="entry-main">
        <div class="entry-main-inner">
            <h4 class="entry-title">کد پخش آنلاین </h4>
        </div>
        <div class="decor-1"></div>
     
        <div class="entry-content">
         <textarea onfocus="this.focus();this.select()" class="code_weblog"><div style="text-align: center;"><audio controls preload="none"><source type="audio/mpeg" id="player" src="<?php  echo $download_si; ?>">مرورگر شما از Player ساپورت نمی کند</audio></div></textarea>
        </div>
       
    </div>
</article>
<?php endif; ?> 

<article class="post post_mod-b post_mod-d related-entry clearfix">

    <div class="entry-main">
        <div class="entry-main-inner">
            <h4 class="entry-title">مطالب مرتبط</h4>
        </div>
        <div class="decor-1"></div>
     
        <div class="entry-content related-content">
         <ul>
          <?php $orig_post = $post;
			global $post;
			$tags = wp_get_post_tags($post->ID);
			if ($tags) {
			$tag_ids = array();
			foreach($tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
			$args=array(
			'tag__in' => $tag_ids,
			'post__not_in' => array($post->ID),
			'posts_per_page'=>5, 
			'ignore_sticky_posts'=>1
			);
			$my_query = new wp_query( $args );
			if( $my_query->have_posts() ) {
			while( $my_query->have_posts() ) {
			$my_query->the_post(); ?>
			<li><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></li>
			<?php }
			}
			}
			$post = $orig_post;
			wp_reset_query(); ?>
            <ul>
        </div>
       
    </div>
</article>
              
 <?php  comments_template(); ?>
   </main><!-- end main-content -->
</div><!-- col 6 -->
      
    
<?php get_template_part( 'left-sidebar' ); ?>


<?php get_footer(); ?>